#ifndef _PRVAPP_EnvFan_H
#define _PRVAPP_EnvFan_H

// =============================================
// prvdrv.h - headers for use with generic drive
// =============================================
// (c) Copyright 2000
// The Parvus Corporation
// 396 Ironwood Drive
// Salt Lake City, UT 84115
// Tel:      (801) 483-1533
// Fax:      (801) 483-1523
// Web:      www.parvus.com
// Email:    parvus@parvus.com
// ---------------------------------------------
//   Revision History:
// ---------------------------------------------
//
//   10/15/2000 CG - V1.00.00 release
//
// ---------------------------------------------

#ifdef __cplusplus
extern "C" {
#endif

// ===================================
// DLL callable functions - Prototypes
// ===================================

long WINAPI vbapp_Open(long VBioChannel);
void WINAPI vbapp_Close(void);
void WINAPI vbapp_OctalInit(void);
void WINAPI vbapp_LedOn(void);
void WINAPI vbapp_LedOff(void);
void WINAPI vbapp_ResetUart(void);
void WINAPI vbapp_ResetInterrupt(void);
void WINAPI vbapp_ResetStack(void);
void WINAPI vbapp_FactoryCfg(void);
void WINAPI vbapp_StackOn(void);
void WINAPI vbapp_StackOff(void);

#ifdef _EXPORTING
   #define DECLSPEC    __declspec(dllexport)
#else
   #define DECLSPEC    __declspec(dllimport)
#endif

DECLSPEC int darray[30][2];
DECLSPEC int darray_end;
DECLSPEC int test_num;

#ifdef __cplusplus
}
#endif

#endif // _PRVAPP_EnvFan_H
